<?php

namespace App\Filament\Resources\HeaderLogoResource\Pages;

use App\Filament\Resources\HeaderLogoResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditHeaderLogo extends EditRecord
{
    protected static string $resource = HeaderLogoResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete headerlogo')),
        ];
    }
}